Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Assembly_Placement::Container Class Reference

`#include <Assembly_Spec.h>`

Inheritance diagram for CIAO::Assembly_Placement::Container:

[legend]
Collaboration diagram for CIAO::Assembly_Placement::Container:

[legend]
List of all members.

## Public Methods
| Container (const char *id, unsigned long cardinality)
virtual int | accept (Visitor &v ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Accepting a visitor.
void | destination (const char *des)
const char * | destination (void) const
unsigned long | cardinality (void) const
## Protected Attributes
ACE_CString | destination_
| A corbaloc string pointing to a CIAO_Daemon interface.
unsigned long | cardinality_

## Detailed Description

Abstract base class for container type placement node

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::Container::Container | ( | const char * | id,
|  | unsigned long | cardinality
| ) |

## Member Function Documentation

virtual int CIAO::Assembly_Placement::Container::accept | ( | Visitor &v | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Accepting a visitor. Reimplemented from CIAO::Assembly_Placement::Node. Reimplemented in CIAO::Assembly_Placement::homeplacement, CIAO::Assembly_Placement::hostcollocation, and CIAO::Assembly_Placement::processcollocation.

ACE_INLINE unsigned long CIAO::Assembly_Placement::Container::cardinality | ( | void |  | ) | const

| Accesor/mutator for destination information

ACE_INLINE const char * CIAO::Assembly_Placement::Container::destination | ( | void |  | ) | const

| Accesor/mutator for destination information

ACE_INLINE void CIAO::Assembly_Placement::Container::destination | ( | const char * | des | ) |

| Accesor/mutator for destination information

## Member Data Documentation

unsigned long CIAO::Assembly_Placement::Container::cardinality_`[protected]`

ACE_CString CIAO::Assembly_Placement::Container::destination_`[protected]`

| A corbaloc string pointing to a CIAO_Daemon interface.

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.inl